<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingVertical="4dp"
        android:weightSum="3">
        <TextView android:id="@+id/f1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="ENCRYPT" />
        <TextView android:id="@+id/f2"
            android:background="@color/grey"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="CHANGE PWD" />
        <TextView android:id="@+id/f3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="DECRYPT" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/dividerCipherText"
            android:layout_margin="12dp">

            <TextView
                android:id="@+id/txtUpdatePassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="@string/update_password"
                android:textStyle="bold" />

            <View
                android:id="@+id/dividerUpdatePasswordText"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@id/txtUpdatePassword"
                android:layout_marginTop="4dp"
                android:background="@android:color/darker_gray" />

            <TextView
                android:id="@+id/txtFileNameUpdatePassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/dividerUpdatePasswordText"
                android:layout_marginTop="12dp"
                android:text="@string/file_name"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/inputFileNameUpdatePassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtFileNameUpdatePassword"
                android:hint="@string/input_file_name_here"
                android:inputType="text"
                tools:ignore="Autofill,TextFields" />

            <TextView
                android:id="@+id/txtOldPassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputFileNameUpdatePassword"
                android:layout_marginTop="12dp"
                android:text="@string/old_password"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/inputOldPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtOldPassword"
                android:hint="@string/input_old_password_here"
                android:inputType="textPassword"
                tools:ignore="Autofill" />

            <TextView
                android:id="@+id/txtNewPassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputOldPassword"
                android:layout_marginTop="12dp"
                android:text="@string/new_password"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/inputNewPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtNewPassword"
                android:hint="@string/input_new_password_here"
                android:inputType="textPassword"
                tools:ignore="Autofill" />

            <Button
                android:id="@+id/btnUpdatePassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputNewPassword"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="8dp"
                android:background="@drawable/btn_color_state"
                android:padding="12dp"
                android:text="@string/update_password"
                android:textColor="@color/white" />

            <TextView
                android:id="@+id/txtUpdatePasswordSuccess"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/btnUpdatePassword"
                android:layout_marginTop="16dp"
                android:hint="@string/file_name_only"
                android:textColor="@color/green"
                android:textColorHint="@color/green"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/txtErrorMessageUpdatePassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtUpdatePasswordSuccess"
                android:layout_centerInParent="true"
                android:layout_marginTop="16dp"
                android:hint="@string/error_message"
                android:textColor="@color/red"
                android:textColorHint="@color/red"
                android:visibility="gone"
                tools:visibility="visible" />

        </RelativeLayout>

    </ScrollView>

</LinearLayout>